Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.flagstone.transform
Class Transform

    java.lang.Object
      com.flagstone.transform.Transform

    public class Transform

extends java.lang.Object

The %Transform class defines constants and methods used throughout the %Transform package.

Field Summary
`static boolean` | `DEBUG` Deprecated. No longer required for debugging. DEBUG is used to turn on additional logging and error checking.
`static int` | `MAJOR` MAJOR is used to identify the current version of the framework.
`static int` | `MINOR` MINOR is used to identify the current minor version of the framework.
`static int` | `RELEASE` The RELEASE number is used to differentiate between different releases.
`static int` | `VALUE_NOT_SET` VALUE_NOT_SET is used to signify that a field has not yet assigned a value.
`static int` | `VERSION` VERSION is used to identify the version of Flash that the edition supports.

Constructor Summary
`Transform()`

Method Summary
`static void` | `main(java.lang.String[] args)` The main method reports basic information about the package.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEBUG

    public static final boolean DEBUG

  Deprecated. No longer required for debugging. DEBUG is used to turn on additional logging and error checking.
  See Also:
    Constant Field Values

### VERSION

    public static final int VERSION

  VERSION is used to identify the version of Flash that the edition supports.

  See Also:
    Constant Field Values

### MAJOR

    public static final int MAJOR

  MAJOR is used to identify the current version of the framework. This is incremented for each new version of Flash supported.

  See Also:
    Constant Field Values

### MINOR

    public static final int MINOR

  MINOR is used to identify the current minor version of the framework. This is incremented when new functionality is added or API changes are made.

  See Also:
    Constant Field Values

### RELEASE

    public static final int RELEASE

  The RELEASE number is used to differentiate between different releases. This number is incremented when an enhancement or bug fix has been made and the API is unchanged.

  See Also:
    Constant Field Values

### VALUE_NOT_SET

    public static final int VALUE_NOT_SET

  VALUE_NOT_SET is used to signify that a field has not yet assigned a value. Some Flash tags contain optional fields to reduce the size of the binary data when a tag is encoded. These fields are only encoded if they have been assigned a valid value. The range of valid values will depend on the number of bits used to encode the field and whether it is a signed or unsigned value. VALUE_NOT_SET was chosen to be the largest negative integer - since the largest optional field is 16-bits in length and thus no confusion will result.

  See Also:
    Constant Field Values

Constructor Detail

### Transform

    public Transform()

Method Detail

### main

    public static void main(java.lang.String[] args)

  The main method reports basic information about the package. The method prints out the version of Flash supported and the version number along with copyright and licensing information.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD